import React, { Suspense } from 'react'
import { useThree } from 'react-three-fiber'
import { Stats, Text } from '@react-three/drei'
import { Euler, Quaternion } from 'three'

import World from './models/World'
import Player from './Player'
import Lighting from './Lighting'
import Effects from './Effects'
import Controls from './Controls'
import Users from './Users'
import Computer from './models/Computer'
import { useEffect } from 'react'

const computerPositions = [
  {
    rotation: [0, 0.9340353012084961, 0, 0.35718077421188354],
    translation: [-26.65045738220215, 3.425341844558716, -113.49897766113281],
  },
  {
    rotation: [0, 0.9848144054412842, 0, 0.17361053824424744],
    translation: [-17.151742935180664, 3.4566614627838135, -108.55608367919922],
  },
  {
    rotation: [0, 0, 0, 0],
    translation: [-33.87189483642578, 3.452946424484253, -121.23444366455078],
  },
]

const Scene: React.FC = () => {
  // addAfterEffect(() => {
  //   console.log(gl.info.render);
  // });

  const { scene } = useThree()
  useEffect(() => {
    //if (scene) scene.overrideMaterial = new MeshBasicMaterial({ color: 'green' })
  }, [scene])

  return (
    <>
      {process.env.NODE_ENV !== 'production' ? <Stats /> : null}
      <Lighting />

      <Suspense fallback={null}>
        <World />
        <Player />

        <Text
          position={[-5.640829086303711, 13, -72.78675842285156]}
          color="white"
          fontSize={1.5}
          font="https://fonts.gstatic.com/s/raleway/v14/1Ptrg8zYS_SKggPNwK4vaqI.woff"
          anchorX="center"
          anchorY="middle"
        >
          ARTIFICIOS 2020
        </Text>

        <Text
          position={[-5.640829086303711, 6, -72.78675842285156]}
          color="white"
          fontSize={1.0}
          font="https://fonts.gstatic.com/s/raleway/v14/1Ptrg8zYS_SKggPNwK4vaqI.woff"
          anchorX="center"
          anchorY="middle"
        >
          EN CONSTRUCCIÓN
        </Text>

        <Users />
        <Effects />
      </Suspense>

      <Controls />
    </>
  )
}

export default Scene
